Bug 483758 - "7.2. Adding storage devices to guests" changes necessary
"7.2. Adding storage devices to guests" changes necessary
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Christopher Curran
Don Domingo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 09:34 EST by James G. Brown III
Modified: 2014-12-01 18:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-23 00:02:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James G. Brown III 2009-02-03 09:34:50 EST
Description of problem:
7.2. Adding storage devices to guests;

Step 2 of adding file based storage

$ sudo virsh xmldump Guest1 > ~/Guest1.xml

which should be 

$ sudo virsh dumpxml Guest1 > ~/Guest1.xml

Actual results:

# virsh xmldump rhel5.3 > ~/rhel5.3.xml
error: unknown command: 'xmldump'

# virsh dumpxml rhel5.3 > ~/rhel5.3.xml
 
Also, Step 3 and 4 of adding file based storage reflect the xen guest file and not xml

disk = [ 'tap:aio:/var/lib/xen/images/Guest1.dsk,xvda,w' ] TODO

should be 

    <disk type='file' device='disk'>
      <driver name='tap' type='aio'/>
      <source file='/var/lib/libvirt/images/rhel5.3.img'/>
      <target dev='xvda'/>
    </disk>
Comment 1 Christopher Curran 2009-02-04 19:58:30 EST
Thanks for the fix. This will be updated on redhat.com/docs soon.

Chris

Note You need to log in before you can comment on or make changes to this bug.